"use strict";

const {
  convertCode
} = require('../utilities');

test('Object.hasOwn', () => {
  const inputCode = `const uesr = {
    name  :'john',
    age : 20,
}
console.log(Object.hasOwn(uesr,'name'));`;
  const outputCode = `const uesr = {
  name: 'john',
  age: 20
};
console.log(Object.hasOwn(uesr, 'name'));`;
  expect(convertCode(inputCode)).toBe(outputCode);
});